/**************************************************************************
 *
 *  chgfext -  Change file extention.
 *				Null is returned if no file found
 *				else changed string is returned
 **************************************************************************/
#include <strings.h>
#include <libb.h>

char 	*chgfext(file, newext)
	register char	*file;
	register char	*newext;
{

	register char *string;
	register int loop = TRUE;
	register int at_least_one = 0;

	string = file + strlen(file);

	while(loop) {
		if (*string == '\\' || string == file)  /* if // or BOS */
			if (at_least_one) {
				string = file + strlen(file);
				*(++string) = '.';
				strcpy(++string, newext);
				return(file);
				}
			else
				return( (char *) 0L);
		else {
			at_least_one++;	
			if (*string == '.') {			/* if dot, save */
				strcpy(++string, newext);
				return(file);
				}
			else
				string--;					/* previous char */
			}
		}
}
