
/**********************************************************************/
/*     handles dialog input                                           */
/*     input values are:                                              */
/*            tree = address of dialog tree                           */
/*            edit = index of first editable object or 0              */
/*            x, y, w, h of begining zoom rectangle                   */
/*            zoom = 1 do zoom, 0 = no zoom                           */
/**********************************************************************/
#include <obdefs.h>
#include <stdio.h>

dial_handle(tree, edit, x, y, w, h, zoom)
      
      OBJECT    *tree;
      int       edit, x, y, w, h, zoom;
{
      int       xdial, ydial, wdial, hdial, exitobj;
      GRECT     cliprect;


      form_center(tree, &xdial, &ydial, &wdial, &hdial);
      objcl_calc(tree, ROOT, &cliprect, 0L);   
      form_dial(0, x, y, w, h, cliprect);

      if (zoom)
         form_dial(1, x, y, w, h, cliprect);

      objc_draw(tree, edit, MAX_DEPTH, cliprect);

      exitobj = form_do(tree, edit) & 0x7FFF;
      if (zoom)
          form_dial(2, x, y, w, h, cliprect);
      form_dial(3, x, y, w, h, cliprect);

      return(exitobj);
      }
