#include <stdio.h>
#include <strings.h>

#include "xref.h"

/*****************************************************************************/
void Usage ()
{
    fprintf (stderr, "\nUsage: %s SWITCHES filename [...]\n", ProgName);
    fprintf (stderr, "----------------------------- VERSION %d.%d SWITCHES ------------------------\n", MAJOR_VERSION, MINOR_VERSION);
    fprintf (stderr, "       -@*    Replace * with Response Filename (1 filename per line    )\n");
    fprintf (stderr, "       -a*    Replace * with Drive Wildcard\n");
    fprintf (stderr, "       -c     Printer Codes/Dates/Page #'s off (default is Enabled     )\n");
    fprintf (stderr, "       -d     Double Strike Printing Enabled   (default is Disabled    )\n");
    fprintf (stderr, "       -f*    Replace * with output Filename (Resultant Listing)\n");
    fprintf (stderr, "       -h*    Replace * with Header Filename\n");
    fprintf (stderr, "       -l##   Replace ## with PageLength       (default = %3d          )\n", LENGTH);
    fprintf (stderr, "       -n     Numbers Source Lines             (Resets to 1 w/each file)\n");
    fprintf (stderr, "       -o     Places 1 function on a Page      (default is multiple    )\n");
    fprintf (stderr, "       -p##   Replace ## with starting Page Number\n");
    fprintf (stderr, "       -q##   Replace ## with starting Section Number\n");
    fprintf (stderr, "       -s     Sort Table of Contents by Page # (default is Func. Name  )\n");
    fprintf (stderr, "       -t     Print Table of Contents Only     (-t- suppress's Table   )\n");
    fprintf (stderr, "       -w##   Replace ## with Width            (default = %3d          )\n", WIDTH);
    fprintf (stderr, "       -x     Enables Extra Lines after Functions (default is Disabled )\n");
    fprintf (stderr, "      [...]   Means multiple filenames may be listed\n\n");
    fprintf (stderr, "          Response Files should have 1 filename per line up to %d\n", MAX_FNAME_SIZE - 1);
    fprintf (stderr, "     characters followed by 1 CRLF and may contain up to %d filenames.\n\n", N_FILES);
    fprintf (stderr, "          Header Files contain the Strings to Print at the top of\n");
    fprintf (stderr, "     every page of the listing, entire file can be up to %d bytes.\n", MAX_HDR_BYTES);
    exit (1);
}
