/*
 *   Fills a structure of disk info
 *     and computes total free bytes 
 */
#include <osbind.h>
#include <brian.h>

void disk_information(space1, space2, drive)
	disk_info_1		*space1;
	disk_info_2		*space2;
	int				drive;
{
	Dfree(space1, drive);	/* find free disk space 0=default drive */

	/* find bytes free */
	space2->total_bytes_free = (
			( space1->bytes_per_sector   
			  * space1->sectors_per_cluster )
			  * space1->avail_clusters );

	/* find bytes used */
	space2-> total_bytes_used = (
			( space1->bytes_per_sector   
			  * space1->sectors_per_cluster )
			  * (space1->total_clusters - space1->avail_clusters) );
}
