/* Allocate permenant storage for a string, put it there and return
	pointer to string.
*/
#include <strings.h>
#include <stdio.h>

/*****************************************************************************/
char *strsave (s)
	register char *s;
{
	register char *p;

	if (s) {				/* if the string is not NULL */
		p = malloc(strlen(s) + 1);
	
		if (p)
			strcpy (p, s);
		return (p);
		}
	else
		return(s);
}

/*****************************************************************************/
void *strfree (s)
	register char *s;
{
	free (s);
}
