# the build make file


#           Make file for XRF

PATH = $(PATH), \megamax\develop\xref
OBJECTS = xrf_main.o xrf_misc.o xrf_list.o xrf_func.o xrf_swch.o \
			xrf_help.o xrf_put.o xrf_tree.o cpr.o
GLOBALS = xref.h


.c.o :
	$(CC) -Z -c $< -o $@


xref41.ttp : $(OBJECTS) $(XRFLIB)
	$(LINKER) -Z $(CINIT) $(OBJECTS) $(XRFLIB) $(CLIB) -o xref41.ttp


xrf_misc.o : xrf_misc.c $(GLOBALS)
	$(CC)	-c xrf_misc.c -o xrf_misc.o

xrf_main.o : xrf_main.c $(GLOBALS)
	$(CC)	-c xrf_main.c -o xrf_main.o

xrf_swch.o : xrf_swch.c $(GLOBALS)
	$(CC)	-c xrf_swch.c -o xrf_swch.o

xrf_list.o : xrf_list.c $(GLOBALS)
	$(CC)	-c xrf_list.c -o xrf_list.o

xrf_help.o : xrf_help.c $(GLOBALS)
	$(CC)	-c xrf_help.c -o xrf_help.o

xrf_func.o : xrf_func.c $(GLOBALS)
	$(CC)	-c xrf_func.c -o xrf_func.o

cpr.o : cpr.c $(GLOBALS)
	$(CC)	-c cpr.c -o cpr.o

xrf_put.o : xrf_put.c $(GLOBALS)
	$(CC)	-c xrf_put.c -o xrf_put.o

xrf_tree.o : xrf_tree.c $(GLOBALS)
	$(CC)	-c xrf_tree.c -o xrf_tree.o

#     end of mak for XRF
